CVE-2004-0632
CVSS7.5
发布时间 :2004-07-27 00:00:00
修订时间 :2008-09-10 15:27:03
NMCOS    

[原文]Adobe Reader 6.0 does not properly handle null characters when splitting a filename path into components, which allows remote attackers to execute arbitrary code via a file with a long extension that is not normally handled by Reader, triggering a buffer overflow.


[CNNVD]Adobe Acrobat/Reader文件名处理缓冲区溢出漏洞(CNNVD-200407-075)

        
        Adobe Acrobat Reader用于查看PDF文档,Reader可使XML表单数据格式或XFDF进行扩展。
        Adobe Acrobat和Reader在处理文档文件名时存在问题,远程和本地攻击者可以利用这个漏洞构建恶意文档,诱使用户处理,造成缓冲区溢出。
        问题存在在处理分离文件名路径到多部分的函数中,由于处理NULL字符解析错误,攻击者可以诱使Adobe Reader打开包含不能处理的文件扩展名的文件,如果扩展名超长,可触发缓冲区溢出。精心构建扩展名数据可能以进程权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:adobe:acrobat_reader:6.0Adobe Acrobat Reader 6.0
cpe:/a:adobe:acrobat:6.0Adobe Acrobat 6.0
cpe:/a:adobe:acrobat_reader:6.0.1Adobe Acrobat Reader 6.0.1
cpe:/a:adobe:acrobat:6.0.1Adobe Acrobat 6.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0632
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0632
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200407-075
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16667
(VENDOR_ADVISORY)  XF  adobe-acrobat-null-bo(16667)
http://www.adobe.com/support/techdocs/34222.htm
(UNKNOWN)  MISC  http://www.adobe.com/support/techdocs/34222.htm
http://www.adobe.com/support/techdocs/330527.html
(UNKNOWN)  CONFIRM  http://www.adobe.com/support/techdocs/330527.html
http://www.idefense.com/application/poi/display?id=116&type=vulnerabilities
(UNKNOWN)  IDEFENSE  20040712 Adobe Reader 6.0 Filename Handler Buffer Overflow Vulnerability

- 漏洞信息

Adobe Acrobat/Reader文件名处理缓冲区溢出漏洞
高危 边界条件错误
2004-07-27 00:00:00 2005-10-20 00:00:00
远程  
        
        Adobe Acrobat Reader用于查看PDF文档,Reader可使XML表单数据格式或XFDF进行扩展。
        Adobe Acrobat和Reader在处理文档文件名时存在问题,远程和本地攻击者可以利用这个漏洞构建恶意文档,诱使用户处理,造成缓冲区溢出。
        问题存在在处理分离文件名路径到多部分的函数中,由于处理NULL字符解析错误,攻击者可以诱使Adobe Reader打开包含不能处理的文件扩展名的文件,如果扩展名超长,可触发缓冲区溢出。精心构建扩展名数据可能以进程权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Adobe
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Adobe Upgrade Acrobat 6.0.2
        
        http://www.adobe.com/support/downloads/main.html

- 漏洞信息

7766
Adobe Acrobat Reader File Extension Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in Adobe Acrobat Reader. The Adobe Acrobat Reader fails to validate the filename path during parsing resulting in a buffer overflow. With a specially crafted request, an attacker can cause execute arbitrary code resulting in a loss of integrity.

- 时间线

2004-07-12 2004-02-02
Unknow 2004-06-07

- 解决方案

Upgrade to version 6.0.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Adobe Acrobat/Reader File Name Handler Buffer Overflow Vulnerability
Boundary Condition Error 10696
Yes No
2004-07-12 12:00:00 2009-07-12 06:16:00
Discovery is credited to Greg MacManus of iDEFENSE Labs.

- 受影响的程序版本

Adobe Reader 6.0.1
Adobe Reader 6.0
Adobe Acrobat 6.0.1
Adobe Acrobat 6.0
Adobe Reader 6.0.2
Adobe Acrobat 6.0.2

- 不受影响的程序版本

Adobe Reader 6.0.2
Adobe Acrobat 6.0.2

- 漏洞讨论

Adobe Acrobat and Reader are prone to a stack-based buffer overflow vulnerability.

This issue exists in routines that parse document filenames. A malformed file name may trigger this condition when the file is opened.

If a user could be enticed to open an appropriately named document, this could potentially allow for remote code execution.

This issue appears to affect Adobe Acrobat and Reader 6.x releases on Microsoft Windows platforms.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

This issue has been addressed in Adobe Acrobat and Adobe Reader 6.0.2. Users are advised to upgrade.


Adobe Acrobat 6.0

Adobe Reader 6.0

Adobe Acrobat 6.0.1

Adobe Reader 6.0.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站